#ifndef VDR_MEDIAMVP_SERVER_H
#define VDR_MEDIAMVP_SERVER_H

#include <vdr/thread.h>
#include <vdr/tools.h>
#include "libmvp.h"


class cMediamvpServer: public cThread {
private:
    bool  m_Active;

    static cMediamvpServer *m_Instance;

public:
    cMediamvpServer(void);
    virtual ~cMediamvpServer();
  

    void Stop(void);
    static void Init();
    static void Exit();

protected:
    virtual void Action(void);

};

#endif // VDR_MEDIAMVP_SERVER_H
